package de.hdm_stuttgart.mi.sda2.rdbms2ldap;

import java.sql.SQLException;

import javax.naming.NamingException;

import org.apache.log4j.Logger;

import de.hdm_stuttgart.mi.sda2.rdbms2ldap.ldap.LdapHandler;
import de.hdm_stuttgart.mi.sda2.rdbms2ldap.rdbms.RdbmsHandler;

/**
 * Transfer user/group data from RDBMS to LDAP
 *
 */
public class Driver {
   private static Logger log = Logger.getLogger(Driver.class);

    public static void main( String[] args ) {
        
    	final RdbmsHandler rdbmsHandler = new RdbmsHandler();
    	try {
			rdbmsHandler.connect();
		} catch (SQLException e1) {
			log.fatal("Unable to connect to database server");
		}
    	
    	final LdapHandler ldapHandler = new LdapHandler();
    	try {
			ldapHandler.connect();
		} catch (NamingException e) {
			log.error("Unable to connect to lDAP server:" + e.getMessage());
		}
    	rdbmsHandler.transferUsers(ldapHandler);
    	rdbmsHandler.transferGroups(ldapHandler);
    	
    }
}
